/* ------------------------------------------------------------------------- *
 * Copyright 2002-2024, OpenNebula Project, OpenNebula Systems               *
 *                                                                           *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may   *
 * not use this file except in compliance with the License. You may obtain   *
 * a copy of the License at                                                  *
 *                                                                           *
 * http://www.apache.org/licenses/LICENSE-2.0                                *
 *                                                                           *
 * Unless required by applicable law or agreed to in writing, software       *
 * distributed under the License is distributed on an "AS IS" BASIS,         *
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  *
 * See the License for the specific language governing permissions and       *
 * limitations under the License.                                            *
 * ------------------------------------------------------------------------- */

import {
  FIELDS,
  SCHEMA,
} from 'client/components/Forms/BackupJob/AddVmsForm/schema'
import { createForm } from 'client/utils'

const AddVmsForm = createForm(SCHEMA, FIELDS, {
  transformInitialValue: ({ BACKUP_VMS: backupVms }, schema) => {
    const vms = (backupVms && backupVms?.split(',')) || []

    return {
      ...schema.cast(
        { BACKUP_VMS: vms.join(','), VMS: vms },
        { stripUnknown: true }
      ),
    }
  },
})

export default AddVmsForm
